Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.mapinfoapi
Class MIFStyleParser

    java.lang.Object
      org.deegree.io.mapinfoapi.MIFStyleParser

    public class MIFStyleParser

extends Object

`MIFStyleParser`

Version:
  $Revision:$, $Date:$
Author:
  Andreas Schmitz, last edited by: $Author:$

Constructor Summary
`MIFStyleParser(StreamTokenizer mif, File baseFile)`

Method Summary
`HashMap<String,String>` | `parseBrush()`
`HashMap<String,String>` | `parsePen()`
`HashMap<String,String>` | `parseSymbol()`
`HashMap<String,String>` | `parseText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIFStyleParser

    public MIFStyleParser(StreamTokenizer mif,
                          File baseFile)

Parameters:
  `mif` -
  `baseFile` - for resolving relative file names

Method Detail

### parseSymbol

    public HashMap<String,String> parseSymbol()
                                       throws IOException

  Returns:
    a map with the symbol parameters, or null, if no symbol clause was found
  Throws:
    `IOException`

### parsePen

    public HashMap<String,String> parsePen()
                                    throws IOException

  Returns:
    a map with the pen parameters, or null, if no pen clause was found
  Throws:
    `IOException`

### parseBrush

    public HashMap<String,String> parseBrush()
                                      throws IOException

  Returns:
    a map with the brush parameters, or null, if no brush clause was found
  Throws:
    `IOException`

### parseText

    public HashMap<String,String> parseText()
                                     throws IOException

  Returns:
    a map with the brush parameters, or null, if no brush clause was found
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org